Package Base Details: lua-say

Git Clone URL: https://aur.archlinux.org/lua-say.git (read-only, click to copy)
Submitter: caleb
Maintainer: caleb (SolarAquarion)
Last Packager: caleb
Votes: 9
Popularity: 0.005449
First Submitted: 2019-06-28 19:32
Last Updated: 2020-08-06 09:52

Pinned Comments

caleb commented on 2020-02-21 11:49

PSA: I've started hosting this and also many other Lua Rocks as prebuilt packages in my repository for those that want to install them using pacman without messing around with building from the AUR.

Latest Comments

1 2 3 Next › Last »

caleb commented on 2020-02-21 11:49

PSA: I've started hosting this and also many other Lua Rocks as prebuilt packages in my repository for those that want to install them using pacman without messing around with building from the AUR.

caleb commented on 2020-02-06 05:49

Hey I am the maintainer of the lua-say base package with provides Lua 5.3 and 5.2 packaging for this. I think it would make a lot more sense if this package were deleted and that package could add 5.1 packaging as well. I have already added you @SolarAquarion as a co-maintainer over there and the packaging is ready to go, but I can't add 5.1 to the list until this is out of the way in the AUR. Would you be willing to join forces there so this can be cleaned up and maintained in one place?

Speranskiy commented on 2019-05-31 09:46

packaging path has changed so cd ${srcdir}/$_pkgname doesn't work any more

sayonalion commented on 2019-03-12 17:58

`Error fetching file: Failed downloading https://github.com/Olivine-Labs/say/archive/v1.3-1.tar.gz - v1.3-1.tar.gz'

Is there any solution for this?

pablo-vs commented on 2019-03-07 11:48

luarocks5.1 has been replaced by luarocks

abid.mujtaba commented on 2018-04-17 05:41

@SolarAquarion I was fiddling with the install and I realized that my earlier assertion was incorrect. luarocks successfully creates the temporary folder but deletes it after the file download fails. No idea what the issue is. Can you provide a mechanism to compile this package from source?

abid.mujtaba commented on 2018-03-12 06:31

@SolarAquarion The problem is with luarocks-5.1. It is unable to create the temporary directory so downloading fails. Can you change the installer to not use luarocks, or download the tar.gz directly and change the rockspec to use the already downloaded version? Sorry, I don't have any experience with luarocks or I would have tried it myself.

SolarAquarion commented on 2018-03-06 18:47

@t0m5k1

as far as I know my package is just using the official rockspec. I'll try something else, perhaps just downloading the git tag and then using the rockspec from the tag

t0m5k1 commented on 2018-03-06 18:44

Nope that has the correct URL but something is adding on the extra bits. We can't fix this. TBH I have removed luakit and it's dependencies so I'll stop following this and move on to let others try to tell you what is wrong.

Take care, thanks for all the times it did work.

SolarAquarion commented on 2018-03-06 14:15

https://github.com/Olivine-Labs/say/blob/master/say-1.3-1.rockspec see this